libmoosex-getopt-perl (0.74-1) unstable; urgency=medium

  * Import upstream version 0.74.

 -- gregor herrmann <gregoa@debian.org>  Sun, 30 Sep 2018 18:10:41 +0200

libmoosex-getopt-perl (0.73-2) unstable; urgency=medium

  * Add Breaks on libcatalyst-perl versions which fail to build with
    libmoosex-getopt-perl 0.73.
    Cf. #909343

 -- gregor herrmann <gregoa@debian.org>  Mon, 24 Sep 2018 16:38:14 +0200

libmoosex-getopt-perl (0.73-1) unstable; urgency=medium

  * Import upstream version 0.73.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.2.1.
  * Bump debhelper compatibility level to 10.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Sep 2018 19:46:43 +0200

libmoosex-getopt-perl (0.72-1) unstable; urgency=medium

  * New upstream version 0.72
  * drop no-bool-help-usage.patch, applied upstream
  * refresh dependency lists

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Aug 2018 16:41:07 +0000

libmoosex-getopt-perl (0.71-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Damyan Ivanov ]
  * patch-out help flag declaration as a 'Bool'
    this breaks with libgetopt-long-descriptive-perl 0.103, which adds
    [no-] to boolean options' examples
  * bump standards version to 4.2.0 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 03 Aug 2018 13:36:00 +0000

libmoosex-getopt-perl (0.71-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Nick Morrott ]
  * Import upstream version 0.71
  * Declare compliance with Debian Policy 3.9.8
  * Bump debhelper compatibility level to 9
  * Refresh (build-) dependencies
  * Update upstream contact details

 -- Nick Morrott <knowledgejunkie@gmail.com>  Thu, 11 Aug 2016 01:02:46 +0100

libmoosex-getopt-perl (0.68-1) unstable; urgency=medium

  [ gregor herrmann ]
  * New upstream release 0.65.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata
  * Import upstream version 0.68.
    Fixes "FTBFS: test failures" (Closes: #785020)
  * Update years of packaging copyright and Upstream-Contact.
  * Declare compliance with Debian Policy 3.9.6.
  * Drop version from libmodule-build-tiny-perl build dependency.
    Nothing older in the archive.
  * Mark package as autopkgtest-able.

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 May 2015 23:04:22 +0200

libmoosex-getopt-perl (0.64-1) unstable; urgency=medium

  * New upstream releases 0.63, 0.64.
  * Update some versioned (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Aug 2014 14:40:55 +0200

libmoosex-getopt-perl (0.62-2) unstable; urgency=medium

  * Team upload.
  * Add missing (build-)dependency for namespace::autoclean.
    Add Build-Depends-Indep and Depends on libnamespace-autoclean-perl.
    (Closes: #743082)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 30 Mar 2014 21:31:48 +0200

libmoosex-getopt-perl (0.62-1) unstable; urgency=medium

  * Team upload

  [ gregor herrmann ]
  * Install CONTRIBUTING file.
  * debian/control: bump required debhelper version for
    Module::Build::Tiny to 9.20140227.
  * Strip trailing slash from metacpan URLs.

  [ Florian Schlichting ]
  * Import Upstream version 0.62 (closes: #741759)

 -- Florian Schlichting <fsfs@debian.org>  Sun, 16 Mar 2014 22:43:20 +0100

libmoosex-getopt-perl (0.59-1) unstable; urgency=medium

  * New upstream release.
  * Update years of copyright.
  * Update build dependencies.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Thu, 02 Jan 2014 21:01:29 +0100

libmoosex-getopt-perl (0.58-1) unstable; urgency=low

  * New upstream release.
    Fixes "FTBFS: Tests failures"
    (Closes: #724109)
  * Update build dependencies.
  * debian/rules: drop re-creation of manpages.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Sep 2013 23:31:05 +0200

libmoosex-getopt-perl (0.56-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Florian Schlichting ]
  * Imported Upstream version 0.56
  * Bumped Standards-Version to 3.9.4 (no change)
  * Bumped upstream copyright to 2013
  * Updated (build-)dependencies

  [ gregor herrmann ]
  * Add build-dependency on YAML::*.

 -- gregor herrmann <gregoa@debian.org>  Mon, 01 Jul 2013 17:39:32 +0200

libmoosex-getopt-perl (0.45-1) unstable; urgency=low

  * New upstream release.
  * Add build dependency on libpath-class-perl.

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 May 2012 20:50:57 +0200

libmoosex-getopt-perl (0.43-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Build depend on libtest-trap-perl

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 08 May 2012 13:04:40 +0200

libmoosex-getopt-perl (0.40-1) unstable; urgency=low

  * New upstream release.
  * Drop patches, both applied upstream.
  * Update years of packaging copyright.
  * debian/copyright: update to Copyright-Format 1.0.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Apr 2012 21:44:52 +0200

libmoosex-getopt-perl (0.39-1) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Alessandro Ghedini ]
  * New upstream release (0.38)

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Imported Upstream version 0.39
  * Update copyright years for upstream files
  * Add fix-manpage-has-errors-from-pod2man.patch patch.
    Fix errors in manpage from pod2man conversion.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 04 Feb 2012 16:37:58 +0100

libmoosex-getopt-perl (0.37-1) unstable; urgency=low

  * New upstream release.
  * debian/control: new (build) dependency: libmoosex-role-parameterized-perl.
  * debian/control: update (build) dependencies to prepare for
    Moose/Class::MOP changes.
  * Set Standards-Version to 3.9.2 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Thu, 21 Apr 2011 18:54:04 +0200

libmoosex-getopt-perl (0.35-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Refresh copyright information
  * Bump to debhelper compat 8

  [ Ansgar Burchardt ]
  * Update my email address.

  [ gregor herrmann ]
  * Drop patch fix-pod-charset.patch; recreate manpages with `pod2man --utf8'
    instead.
  * Update packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Mar 2011 16:56:54 +0100

libmoosex-getopt-perl (0.33-1) unstable; urgency=low

  * New upstream release
  * Add  build-dep on libtest-requires-perl (>= 0.05)
  * Bump Standards-Version to 3.9.1 (no changes).

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 17 Sep 2010 12:32:59 +0200

libmoosex-getopt-perl (0.31-1) unstable; urgency=low

  * New upstream release.
  * Add build-dep on libtest-warn-perl (>= 0.21).
  * Bump Standards-Version to 3.9.0 (no changes).

 -- Ansgar Burchardt <ansgar@43-1.org>  Wed, 07 Jul 2010 20:42:53 +0900

libmoosex-getopt-perl (0.28-1) unstable; urgency=low

  * New upstream release.
  * Update patches.
  * debian/copyright: Update years of copyright.
  * debian/copyright: Remove information on inc/* (removed upstream).
  * No longer set RELEASE_TESTING=1 when running tests; remove
    libtest-pod-perl, libtest-pod-coverage-perl from Build-Depends.
  * Add build-dep on perl (>= 5.10.1) | libtest-simple-perl (>= 0.88).
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 06 Jun 2010 19:18:43 +0900

libmoosex-getopt-perl (0.27-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.8.4 (no changes)
  * Bumps GLD dep to 0.081, possibly preventing FTBFS
  * Update copyright to new DEP5 format
  * Add patches to correct POD errors (spelling + charset)

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 14 Mar 2010 22:48:14 -0400

libmoosex-getopt-perl (0.26-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Yu <jawnsy@cpan.org>  Tue, 15 Dec 2009 15:53:22 -0500

libmoosex-getopt-perl (0.25-1) unstable; urgency=low

  * New upstream release
  * Update short description

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 27 Nov 2009 06:37:52 -0500

libmoosex-getopt-perl (0.24-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 23 Oct 2009 20:33:55 -0400

libmoosex-getopt-perl (0.23-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * No longer set RELEASE_TESTING; justification is that it is only
    an author test, not even run on the smoker servers
  * Use override for testing
  * Remove version dependency on perl (permitted by S-V 3.8.3)

  [ Ryan Niebur ]
  * Update jawnsy's email address
  * Update ryan52's email address

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 02 Oct 2009 09:45:24 -0400

libmoosex-getopt-perl (0.20-2) unstable; urgency=low

  * Make build and runtime dependency on libgetopt-long-descriptive-perl
    versioned, 0.076 was broken (closes: #543070).
  * Minimize debian/rules.
  * Set Standards-Version to 3.8.3 (no changes).
  * debian/copyright: update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 22 Aug 2009 21:49:54 +0200

libmoosex-getopt-perl (0.20-1) unstable; urgency=low

  * New upstream release
    + Fixes small issues with the 0.19 release
    + Fix Getopt config spec for --configfile
    + Support for --usage, --help, --?
    + new_with_options accepts a hashref
  * Standards-Version 3.8.2
  * Removed libmodule-install-perl dependency; only authors need it
  * Updated control description
  * Added myself to Uploaders and Copyright

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

 -- Jonathan Yu <frequency@cpan.org>  Thu, 09 Jul 2009 16:47:58 -0400

libmoosex-getopt-perl (0.18-1) unstable; urgency=low

  * New upstream release

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 09 Apr 2009 17:51:34 -0700

libmoosex-getopt-perl (0.17-1) unstable; urgency=low

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Ryan Niebur ]
  * New upstream release
  * update copyright for inc/*
  * set env var to run pod tests in debian/rules
  * New upstream release
  * Add myself to Uploaders
  * Debian Policy 3.8.1
  * update dependencies
  * remove patching, it's not needed anymore

  [ gregor herrmann ]
  * debian/copyright: update formatting.

 -- Ryan Niebur <ryanryan52@gmail.com>  Wed, 08 Apr 2009 22:44:40 -0700

libmoosex-getopt-perl (0.15-1) unstable; urgency=low

  * New upstream release.
  * Remove do-not-erase-META-nor-Makefile.PL.patch, there is no Build.PL to be
    patched any more; refresh pod-meta-add.patch.
  * debian/rules: patches were not applied, add necessary quilt fragments.
  * debian/copyright: update years of copyright, add copyright/license
    information for files under inc/.
  * debian/control: change my email address.

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 Jul 2008 18:30:54 +0200

libmoosex-getopt-perl (0.14-1) unstable; urgency=low

  * New upstream release WAITS FOR Getopt::Long::Descriptive
  * debian/control:
   + Build-Depends: libmodule-build-perl replaced by libmodule-install-perl,
     increase debhelper dependency to (>= 7), libgetopt-long-descriptive-perl
     added
   + Standards-Version: updated to 3.8.0
   + Uploaders: added me
  * debian/rules: used simple example from debhelper 7
  * debian/compat: increase to 7

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 11 Jul 2008 16:11:47 +0200

libmoosex-getopt-perl (0.12-1) unstable; urgency=low

  * New upstream release.

 -- Roberto C. Sanchez <roberto@debian.org>  Sun, 16 Mar 2008 22:48:46 -0400

libmoosex-getopt-perl (0.11-1) unstable; urgency=low

  * New upstream release.
  * Set debhelper compatibility level to 6.
  * debian/watch: use improved regexp.
  * debian/copyright: add Niko to packaging copyright and adjust years.
  * Add /me to Uploaders.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 29 Jan 2008 17:26:34 +0100

libmoosex-getopt-perl (0.08-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * debian/watch: use dist-based URL.
  * Adapt pod-section patch.
  * Set Standards-Version to 3.7.3 (no further changes needed).
  * debian/rules:
    - let -stamp targets only depend on other -stamp targets, and non -stamp
      targets on their respective -stamp targets
    - move dh_clean before $(MAKE) distclean
  * Add libtest-exception-perl to build dependencies.
  * debian/copyright:
    - add generic upstream URL
    - remove dh-make-perl notice to packager
  * Add libclass-mop-perl (>= 0.49) and libmoose-perl (>= 0.33) to build
    dependencies.
  * debian/copyright: replace single tab by spaces.

  [ Martín Ferrari ]
  * New upstream release (0.08).
  * debian/copyright: converted to new format.
  * debian/control: added version to libmoose-perl build dependency.
  * debian/patches/do-not-erase-META-nor-Makefile.PL.patch: we don't want
    anything to be modified after a make clean.

  [ Niko Tyni ]
  * Merge gregor's changelog entries.
  * Add myself to Uploaders and remove Rene, as per the pkg-perl policy.

 -- Niko Tyni <ntyni@debian.org>  Fri, 28 Dec 2007 21:27:47 +0200

libmoosex-getopt-perl (0.05-2) unstable; urgency=medium

  [ Damyan Ivanov ]
  * Bumped urgency to medium, as we fix FTBFS bug
  * added create_pachlist=0 to install call to avoid creating .packlist files.
    Thanks, lintian
  * Move testsuite from install to build target
  * Fix debian/watch to not capture orig.tar.gz file extension

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.

  [ Rene Mayorga ]
  * Adding patch from Niko Tiny <ntyni@iki.fi>
     + Include a propper pod section for Moose Metaclass, in order to
       past the pod-coverage test (Closes: #445805)
  * debian/control - Add quilt as Build-Depends-Indep
  * debian/rules - We use quilt now
  * Add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Tue, 16 Oct 2007 22:34:07 +0300

libmoosex-getopt-perl (0.05-1) unstable; urgency=low

  * Initial Release (Closes: #438488 -- ITP)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 Aug 2007 15:57:44 +0300
